﻿@{
    ViewBag.Title = "ValidateTest";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section Scripts{
    @if (false)
    {
        <script src="../../Scripts/Public/jquery-1.11.1.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bootstrap3/bootstrap.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bbss/jqueryextend.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bbss/validate.js" type="text/javascript"></script>
    }
    <script type="text/javascript">

        $("#btnSave").on("click", function () {
            $(document).totalValidate();
        });
    </script>
}
@section HeadCss{
    @if (false)
    {
        <link href="/Content/public/bootstrap3/bootstrap.css" rel="stylesheet" type="text/css" />
        <link href="../../Content/public/bootstrap3/bootstrap-custom.css" rel="stylesheet"
            type="text/css" />
        <link href="/Content/public/EPPW/common.css" rel="stylesheet" type="text/css" />
    }
}
<div class="container-fluid">
    <div class="row">
        <div class="pull-right gap-top">
            <button class="btn btn-primary">
                <span class="glyphicon glyphicon-search"></span>查询</button>
            <button class="btn btn-primary" id="btnSave">
                <span class="glyphicon  glyphicon-floppy-disk">保存</button>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4 col-sm-6  gap-top">
            <div class="input-group">
                <span class="input-group-addon title-md">金额格式:</span>
                <input class="validate comma    form-control" type="text" validate-maxintlength="10"
                    validate-maxdecimallength="4" validate-comma-message='必须输入正确的数字格式,整数不能超过10位,小数不能超过4位'
                    validate-comma-examples="47,746.1872" />
            </div>
        </div>
        <div class="col-md-4  col-sm-6 gap-top">
            <div class="input-group   ">
                <span class="input-group-addon title-md">非空:</span>
                <input class="validate notnull form-control" type="text" validate-notnull-message="输入值不能为空"
                    validate-notnull-examples="" />
            </div>
        </div>
        <div class="col-md-4  col-sm-6 gap-top">
            <div class="input-group ">
                <span class="input-group-addon title-md">最大值:</span>
                <input validate-maxvalue="1000" class=" form-control validate max int" type="text"
                    validate-maxintlength="4" validate-notnull-message="输入值不能为空" validate-notnull-examples=""
                    validate-max-message="输入之值不能超过1000" validate-int-message="输入值必须是数字，且不能超过4位" validate-int-examples="876"
                    validate-max-examples="875</br>264" />
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4 col-sm-6 gap-top">
            <div class="input-group ">
                <span class="input-group-addon title-md">长度:</span>
                <input class="validate maxlength    form-control" type="text" validate-maxlength="8" />
            </div>
        </div>
        <div class="col-md-4 col-sm-6 gap-top">
            <div class="input-group ">
                <span class="input-group-addon title-md">Code:</span>
                <input class="validate code notnull    form-control" type="text" />
            </div>
        </div>
        <div class="col-md-4  col-sm-6 gap-top">
            <div class="input-group ">
                <span class="input-group-addon title-md">多重验证:</span>
                <input validate-maxvalue="1000" class=" form-control validate notnull max int " type="text"
                    validate-maxintlength="4" />
            </div>
        </div>
        <div class="col-md-4  col-sm-6 gap-top">
            <div class="input-group ">
                <span class="input-group-addon title-lg">textarea非空验证:</span>
                <textarea class="form-control validate notnull" rows="2"></textarea>
            </div>
        </div>

          <div class="col-md-4  col-sm-6 gap-top">
            <div class="input-group ">
                <span class="input-group-addon title-lg">span非空验证:</span>
                <span class="form-control validate notnull" ></span>
            </div>
        </div>  
    </div>
</div>
